changeset 138:7dffe9648a56

Installing bash but not using it. Yeah, there's a political agenda at work there, and I'm not biting.
author Rob Landley <rob@landley.net>
date Mon, 26 Mar 2007 18:44:16 -0400
parents e09d44f952cd
children 4beed84d1539
files include.sh
diffstat 1 files changed, 7 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/include.sh	Mon Mar 26 18:43:20 2007 -0400
+++ b/include.sh	Mon Mar 26 18:44:16 2007 -0400
@@ -1,5 +1,12 @@
 #!/bin/sh
 
+temp=`ls -l /bin/sh | sed 's/.*-> //'`
+if [ "$temp" == "dash" ]
+then
+  echo "Error: your /bin/sh points to dash."
+  exit 1
+fi
+
 function download()
 {
   FILENAME=`echo "$URL" | sed 's .*/  '`